Subject: [mpls] FW: [PWE3] Seeking feedback on I-D "MPLS-TPLinearProtection Applicability to MS-PW"

From: Eric Gray <[email-masked]>
Date: Thu, 16 Jun 2011 06:42:46 -0400

Forwarding in plain text...

________________________________

From: Gregory Mirsky [mailto:[email-masked]] 
Sent: Monday, June 13, 2011 9:54 PM
To: Alexander Vainshtein; Daniel Cohn
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: RE: [PWE3] [mpls] Seeking feedback on I-D "MPLS-TPLinearProtection Applicability to MS-PW"

Dear All,
I cannot find any reference to Inter-Chassis Communication Protocol (ICCP) as part of MPLS-TP Control Plane. That might be our omission but as of now Control plane solution for PW redundancy might be outside of MPLS-TP scope.
 
    Regards,
        Greg

________________________________

From: [email-masked] [mailto:[email-masked]] On Behalf Of Alexander Vainshtein
Sent: Monday, June 13, 2011 8:11 AM
To: Daniel Cohn
Cc: [email-masked]; [email-masked]; [email-masked]
Subject: Re: [PWE3] [mpls] Seeking feedback on I-D "MPLS-TPLinearProtection Applicability to MS-PW"

Daniel and all,

Please see some comments inline below.

Regards,

     Sasha

From: Daniel Cohn [mailto:[email-masked]] 
Sent: Monday, June 13, 2011 5:55 PM
To: Sprecher, Nurit (NSN - IL/Hod HaSharon); Alexander Vainshtein; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: RE: [mpls] [PWE3] Seeking feedback on I-D "MPLS-TPLinearProtection Applicability to MS-PW"

Hi,

Thanks all for the feedback. I believe we all agree that PW protection is only required in the event of S-PE failure at an MS-PW - this  is clearly stated in the draft. Now, both Sasha and Nurit mention that the PW redundancy mechanism can meet the MPLS-TP PW protection requirements.

First of all a word on scalability. Please note that in an MPLS-TP environment without a control plane, the PW redundancy mechanism must also rely on proactive connectivity check for fast failure detection to  meet the sub-50 ms requirement. [[[Sasha]]] IMO there is nothing specific to MPLS-TP here. Detecting S-PE failures based on the control plane would  not fast enough.

Therefore any scalability considerations that apply to the PW protection draft apply to the PW redundancy draft as well.[[[Sasha]]] I have not raised the scalability issue. My issue was limited applicability scope when compared to PW redundancy. E.g., the PW redundancy mechanisms take care of dual-homed CEs in SS- and MS-PWs - something that liner protection of PWs cannot do.

Also wrt scalability, there is no such thing as "scales" or "doesn't scale" - scalability is not a binary concept. You can say that PW protection scales worse than LSP protection, just like you can say that LSP protection scales worse than interface protection. Which didn't stop IETF from defining LSP protection for scenarios where interface protection doesn't do the job.

Now let's turn our attention back to whether the PW redundancy draaft can be used to meet MPLS-TP PW protection requirements. I can identify the following reasons why in its current form it doesn't:

-          It explicitly ("outside the scope") does not define protection triggers and how to handle coexisting triggers, as requested in RFC 5654 (MPLS-TP Requirements), reqs #75, #76 and #79

[[[Sasha]]] So what? Definition of triggers is orthogonal to how coordinated protection switching happens.

-          It does not support the ability to distinguish between different types of triggers (i.e. one end doesn't know why the other end triggered switch), as requested in RFC 5654 (MPLS-TP Requirements), req #77

-          It does not define revertive/nonrevertive behavior, as requested in RFC 5654 (MPLS-TP Requirements), req #64

-          It does not define holdoff support, which is especially important to avoid race conditions with LSP protection when it exists

-          It doesn't support 1+1 mode, as requested in RFC 5654 (MPLS-TP Requirements), req #65 

[[[Sasha]]] All these claims are correct - and  this should not be a surprise, because MPLS-TP requirements have been defined much later than the PW redundancy mechanism. 

But I do not think that this justifies co-existence of two different mechanisms.

-          It's a two-phase protocol, with the consequent impact on timing[[[Sasha]]] Could you please elaborate? 

-          It doesn't define retransmission of protection coordination messages, so loss of a single PDU can result in switchover not taking place, thus not supporting sub-50 ms recovery in this case

[[[Sasha]]] The PW redundancy protocol runs either on top of LDP (which benefits from TCP retransmissions) or on top of static PW status messages (where retransmission is defined). 

In summary, PW redundancy was not designed with TP requirements in mind, and as such does not meet the TP requirements. Of course modifications may be introduced, but why reinvent the wheel when there is a protocol (draft-ietf-mpls-tp-linear-protection-06) in the standards track that supports all the above requirements and can be applied to MS-PW protection with minor modifications?

[[[Sasha]]] As I said, because the applicability scope is by far too narrow to justify a dedicated protocol.

Regards,

Daniel

From: [email-masked] [mailto:[email-masked]] On Behalf Of Sprecher, Nurit (NSN - IL/Hod HaSharon)
Sent: Monday, June 13, 2011 4:02 PM
To: ext Alexander Vainshtein; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [mpls] [PWE3] Seeking feedback on I-D "MPLS-TPLinearProtection Applicability to MS-PW"

Hi,

I would like to second Sasha.

End-to-end PW protection (with diverse paths) does not scale, and put hard restrictions on the utilization of the resources.  

MPLS-TP PWs are carried across the network inside MPLS-TP LSPs. Therefore, an obvious way to provide protection for a PW is to protect the LSP that carries it.  

If the PW is a multi-segment PW, then LSP recovery can only protect the PW in individual segments.  This means that a single LSP recovery action cannot protect against a failure of a PW switching point (an S-PE).

When protecting against an AC or T/S-PE failure by dual connectivity, PW redundancy mechanisms provide means for the PEs to coordinate over which LSP the traffic of the PW is carried. 

I also doubt why there is a need for additional mechanism. 

Best regards,

Nurit

From: [email-masked] [mailto:[email-masked]] On Behalf Of ext Alexander Vainshtein
Sent: Monday, June 13, 2011 3:43 PM
To: [email-masked]
Cc: [email-masked]; [email-masked]
Subject: Re: [PWE3] [mpls] Seeking feedback on I-D "MPLS-TP LinearProtection Applicability to MS-PW"

Dear Ma and all,

Adding the PWE3 WG to my response.

The PW redundancy mechanism supports linear protection of MS-PWs as one of many additional application use cases:

Appendix A of the PW redundancy Bit draft <http://datatracker.ietf.org/doc/draft-ietf-pwe3-redundancy-bit/?include_text=1>  describes 5 application uses cases in addition to MS-PW with single-homed CEs (which is listed there as use case 5).

And it is equally applicable to IP/MPLS and MPLS - with the help of  the Static PW Status Messages draft <http://datatracker.ietf.org/doc/draft-ietf-pwe3-static-pw-status/?include_text=1> ( if, for whatever reason, you do not want  to, or cannot, use RFC 4447 <http://datatracker.ietf.org/doc/rfc4447/?include_text=1> ).

Hence I doubt the need for yet another PW redundancy  mechanism with narrow scope of applicability.

Regards,

     Sasha

From: [email-masked] [mailto:[email-masked]] On Behalf Of [email-masked]
Sent: Monday, June 13, 2011 3:25 PM
To: [email-masked]
Subject: Re: [mpls] Seeking feedback on I-D "MPLS-TP Linear Protection Applicability to MS-PW"

Hi all, 

The linear protection mechanism for LSP and PW(including MS-PW) should be the same and it is valuable to describe it clearly. 

BTW, there is a typo, it is "T-PE Z" instead of "T-PE B". 

 " 
  Figure 1 illustrates such a scenario, where two MS-PWs are 
  established between T-PE A and T-PE B, over S-PEs 1-2 and 3-4 
  respectively. Each PW segment is established over an LSP (e.g. PW- 
  s12 over LSP12). 
 " 

-----Original Message-----
From: Daniel Cohn 
Sent: Tuesday, May 17, 2011 4:14 PM
To: mpls
Subject: Seeking feedback on I-D "MPLS-TP Linear Protection
Applicability to MS-PW"
Importance: High

Hi MPLSers,

I uploaded "MPLS-TP Linear Protection Applicability to MS-PW" I-D
(http://tools.ietf.org/html/draft-cohn-mpls-tp-pw-protection-00)

The abstract goes:

One of the requirements of the MPLS transport profile [RFC 5654] is
to provide linear protection for transport paths, which include both
LSPs and PWs. The functional architecture described in [SurvivFwk]
is applicable to both LSP and PWs, however [LinearProt] does not
explicitly describe mechanisms for PW protection in MPLS-TP.

This document extends the applicability of the linear protection
mechanism described in [LinearProt] to MPLS-TP segmented PWs 
(MS-PWs) as defined in [RFC 6073].

Could you please review it and send feedback to the mailing list or
directly to the author? 

Looking forward to your feedback, 

Daniel 

This e-mail message is intended for the recipient only and contains information which is CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this transmission in error, please inform us by e-mail, phone or fax, and then delete the original and all copies thereof. 

This e-mail message is intended for the recipient only and contains information which is CONFIDENTIAL and which may be proprietary to ECI Telecom. If you have received this transmission in error, please inform us by e-mail, phone or fax, and then delete the original and all copies thereof.